Desktop zoom fails with dual screen in clone mode

Bug #1505955 reported by Hadrien
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Steps to reproduce the problem:
1: use a DELL Latitude E5440 laptop computer

2.a: install Unity Tweak Tool
2.b: launch Unity Tweeak Tool
2.c: go the the General page
2.d: enable zoom
2.e: define key shortcuts to zoom-in and zoom-out

3.a: connect a second monitor on the VGA output
3.b: configure the second monitor to clone the built-in display

4: press the zoom-in key shortcut on any display

Expected result: the desktop content is zoomed-in
Actual result: no zoom-in occurs and the mouse pointer disappears
---------------
graphics hardware information:

$ lspci | grep VGA

        VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)

$ lshw -C video

       description: VGA compatible controller
       produit: Haswell-ULT Integrated Graphics Controller
       fabriquant: Intel Corporation
       identifiant matériel: 2
       information bus: pci@0000:00:02.0
       version: 0b
       bits: 64 bits
       horloge: 33MHz
       fonctionnalités: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       ressources: irq:48 mémoire:f6c00000-f6ffffff mémoire:e0000000-efffffff portE/S:f000(taille=64)

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: compiz 1:0.9.12.1+15.04.20150410.1-0ubuntu1
ProcVersionSignature: Ubuntu 3.19.0-28.30-generic 3.19.8-ckt5
Uname: Linux 3.19.0-28-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.17.2-0ubuntu1.5
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Wed Oct 14 10:41:47 2015
DistroCodename: vivid
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 4.3.26, 3.19.0-21-generic, x86_64: installed
 virtualbox, 4.3.26, 3.19.0-25-generic, x86_64: installed
 virtualbox, 4.3.26, 3.19.0-28-generic, x86_64: installed
GraphicsCard:
 Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 0b) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:05de]
InstallationDate: Installed on 2014-12-01 (316 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
MachineType: Dell Inc. Latitude E5440
PackageArchitecture: all
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-28-generic root=UUID=ea82e720-8da0-40bd-8511-946631ce3493 ro quiet splash vt.handoff=7
SourcePackage: compiz
UpgradeStatus: Upgraded to vivid on 2015-04-27 (170 days ago)
dmi.bios.date: 06/26/2014
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A07
dmi.board.name: 061CGT
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA07:bd06/26/2014:svnDellInc.:pnLatitudeE5440:pvr01:rvnDellInc.:rn061CGT:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E5440
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.12.1+15.04.20150410.1-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.60-2
version.libgl1-mesa-dri: libgl1-mesa-dri 10.5.9-2ubuntu1~vivid2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.5.9-2ubuntu1~vivid2
version.xserver-xorg-core: xserver-xorg-core 2:1.17.1-0ubuntu3.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.0-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.5.0-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917-1~exp1ubuntu2.2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu2build1
xserver.bootTime: Tue Oct 13 13:22:00 2015
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 1526
 vendor BOE
xserver.version: 2:1.17.1-0ubuntu3.1

Revision history for this message
Hadrien (psydk) wrote :
Revision history for this message
Hadrien (psydk) wrote :

Problem still there in 15.10

Revision history for this message
Hadrien (psydk) wrote :

Problem still there in 16.10

Revision history for this message
Hadrien (psydk) wrote :

Problem gone with 17.10 (Wayland probably fixed the problem)

Changed in compiz (Ubuntu):
status: New → Fix Released
To post a comment you must log in.